<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>ausf-ueauthentication</artifactId>
    <packaging>jar</packaging>
    <name>ausf-ueauthentication</name>
    <version>0.0.1-SNAPSHOT</version>
   
    <parent>
        <groupId>com.t5g.nf</groupId>
        <artifactId>network-functions</artifactId>
        <version>0.0.1</version>
    </parent>
    
    
	<dependencies>
        
    </dependencies>
    
    
    <build>
        <plugins>
             <plugin>
                <groupId>com.spotify</groupId>
                <artifactId>dockerfile-maven-plugin</artifactId>
                <version>1.4.12</version>

                <dependencies>
                    <dependency>
                        <groupId>javax.activation</groupId>
                        <artifactId>activation</artifactId>
                        <version>1.1.1</version>
                    </dependency>
                </dependencies>

                <configuration>
                    <dockerDirectory>${project.basedir}/target/docker-context</dockerDirectory>
                </configuration>

                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>build</goal>
                        </goals>
                        <configuration>
                            <repository>${docker.image.prefix}/${project.artifactId}</repository>
                            <tag>latest</tag>
                        </configuration>
                    </execution>
                    <execution>
                        <id>push-latest</id>
                        <phase>deploy</phase>
                        <goals>
                            <goal>tag</goal>
                            <goal>push</goal>
                        </goals>
                        <configuration>
                            <repository>${docker.registry}/${docker.image.prefix}/${project.artifactId}</repository>
                            <tag>latest</tag>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
   
</project>
